org.apache.solr.client.solrj.cloud

## Class SocketProxy.Bridge

- java.lang.Object
- - org.apache.solr.client.solrj.cloud.SocketProxy.Bridge

Enclosing class:
  SocketProxy

    public class SocketProxy.Bridge
    extends Object

### Nested Class Summary

Nested Classes
`class` `SocketProxy.Bridge.Pump`

### Constructor Summary

Constructors
Constructor and Description
`Bridge(Socket socket, URI target)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `close()`
`void` `goOn()`
`void` `halfClose()`
`void` `pause()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Bridge

    public Bridge(Socket socket,
                  URI target)
           throws Exception

Throws:
  `Exception`

### Method Detail

#### goOn

    public void goOn()

#### pause

    public void pause()

#### close

    public void close()
               throws Exception

Throws:
  `Exception`

#### halfClose

    public void halfClose()
                   throws Exception

Throws:
  `Exception`